import javax.mail.*;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Date;
import java.util.Properties;

public class SendMailDemo {

  private static final String USERNAME = "leon.li@topibd.com";
  private static final String PASSWORD = "xxx";

  public static void main(String[] args) {
    String mailFrom = "leon.li@topibd.com";
    String mailTo = "114723704@qq.com";
    String mailSubject = "Send Email Demo";
    String mailText = "Send Email Demo Body";

    SendMailDemo m = new SendMailDemo();
    try {
      m.sendMail(mailFrom, mailTo, mailSubject, mailText);
    } catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private void sendMail(String mailFrom, String mailTo, String mailSubject, String mailText) throws Exception {

    Properties config = createConfiguration();

    Session session = Session.getInstance(config, new Authenticator() {
      @Override
      protected PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication(SendMailDemo.USERNAME, SendMailDemo.PASSWORD);
      }
    });

    // Creates email message
    Message message = new MimeMessage(session);
    message.setSentDate(new Date());
    message.setFrom(new InternetAddress(mailFrom));
    message.setRecipient(Message.RecipientType.TO, new InternetAddress(mailTo));
    message.setSubject(mailSubject);
    message.setText(mailText);

    // Send a message
    Transport.send(message, SendMailDemo.USERNAME, SendMailDemo.PASSWORD);
  }

  private Properties createConfiguration() {
    return new Properties() {
      {
        put("mail.smtp.auth", "true");
        put("mail.smtp.host", "smtp.exmail.qq.com");
        put("mail.smtp.port", "465");
        put("mail.smtp.starttls.enable", "true");
      }
    };
  }
}